\chapter{Acknowledgements} % todo
I would like thank Prof. Emilio Frazzoli, the Frazzoli Group and Dr. Jacopo Tani for providing me the possibility and the infrastructure for writing this thesis. Dr. Jacopo Tani provided his experience and guidance during the whole project, as well as support during the times, the when nothing seemed to work, creating a pleasant environment to work in. 
\vspace{5mm}\\
Furthermore I would like to specially thank to Andrea F. Daniele and Dr. Andrea Censi who provided their experience in software related issues. Marcus Aaltonen was always there for problems concerning the hardware or help in introduction to new tools. Their helpful inputs played a crucial role in my work.
\vspace{5mm}\\
I am very grateful for the thriving community of Duckietown. Asking questions online and receiving an answer within no time highly facilitated the work, especially during the current Corona situation. I hope to be able to contribute more to this community in the future and that my work helps to develop the Duckietown further.